polynomial.h File Reference

Implements single variable polynomials over arbitrary rings. More...

`#include "regina-core.h"`
`#include "utilities/stringutils.h"`
`#include "output.h"`
`#include <iostream>`

## Classes

class | regina::Polynomial< T >
| Represents a single-variable polynomial with coefficients of type T. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

template<typename T >
using | regina::NPolynomial = Polynomial< T >
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Implements single variable polynomials over arbitrary rings.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).